# Get one Area of Use

Get one Area of Use record by essence - returning a named bounding box definition in latitude and longitude.

Endpoint: POST /area
Version: 2.0.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `mode` (string)
    The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

## Header parameters:

  - `data-partition-id` (string, required)
    desired data partition id

## Request body:

  - `application/json` (unknown)
    A unique description of an AreaOfUse, either as persistable reference string or essence JSON.

## Request fields (application/json):

  - `persistableReference` (string)
    The persistable reference string, either the essence of the AreaOfUse serialized into a JSON string or an encoded string (version 1).

  - `essence` (object)
    Area of use consisting of a bounding box in latitude and longitude WGS 84.

  - `essence.type` (string, required)
    The type identifier, fixed to 'AOU'.
    Enum: "AOU"

  - `essence.boundBox` (object, required)
    WGS 84 bounding box in latitude longitude.

  - `essence.boundBox.lonMin` (number, required)
    The left longitude limit in degrees; the longitude can wrap around the datum line.

  - `essence.boundBox.lonMax` (number, required)
    The right longitude limit in degrees; the longitude can wrap around the datum line.

  - `essence.boundBox.latMin` (number, required)
    The upper latitude limit in degrees.

  - `essence.boundBox.latMax` (number, required)
    The lower latitude limit in degrees.

  - `essence.authCode` (object)
    The AuthorityCode for this item.

  - `essence.authCode.auth` (string, required)
    The name of the authority issuing the code. Usually a string but it can be NULL for transient items.
    Example: EPSG

  - `essence.authCode.code` (string, required)
    The code issued by the authority. Usually a number but it can be NULL for transient items.
    Example: 4326

## Response 200:

  - `200` (unknown)
    A successful response

## Response 200 fields (application/json):

  - `id` (string)
    The Internal Id of the AreaOfUse.

  - `name` (string)
    The name of the AreaOfUse.

  - `description` (string)
    The description of the AreaOfUse.

  - `lastModified` (string)
    The LastModified of the AreaOfUse.

  - `namedReference` (object)
    Name and Persistable Reference (the essence converted to a JSON string).

  - `namedReference.name` (string)
    The name of the item.

  - `namedReference.persistableReference` (string)
    The item 'essence' serialized into a JSON string.

  - `essence` (object)
    Area of use consisting of a bounding box in latitude and longitude WGS 84.

  - `essence.type` (string, required)
    The type identifier, fixed to 'AOU'.
    Enum: "AOU"

  - `essence.boundBox` (object, required)
    WGS 84 bounding box in latitude longitude.

  - `essence.boundBox.lonMin` (number, required)
    The left longitude limit in degrees; the longitude can wrap around the datum line.

  - `essence.boundBox.lonMax` (number, required)
    The right longitude limit in degrees; the longitude can wrap around the datum line.

  - `essence.boundBox.latMin` (number, required)
    The upper latitude limit in degrees.

  - `essence.boundBox.latMax` (number, required)
    The lower latitude limit in degrees.

  - `essence.authCode` (object)
    The AuthorityCode for this item.

  - `essence.authCode.auth` (string, required)
    The name of the authority issuing the code. Usually a string but it can be NULL for transient items.
    Example: EPSG

  - `essence.authCode.code` (string, required)
    The code issued by the authority. Usually a number but it can be NULL for transient items.
    Example: 4326

## Response 400:

  - `400` (unknown)
    Bad input format

## Response 400 fields (application/json):

  - `error` (string)
    Error message

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `error` (string)
    Error message

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `error` (string)
    Error message

